Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::indices_fn Struct Reference

## Description

Half-open range of indices: [from, to).

Inheritance diagram for ranges::views::indices_fn:

## Synopsis of methods
constexpr indices_fn | indices {}

## Public Member Functions
template<typename Val >
iota_view< Val, Val > | operator() (Val from, Val to) const
template<typename Val >
iota_view< Val, Val > | operator() (Val to) const
Public Member Functions inherited from ranges::iota_view< std::size_t >
constexpr | iota_view (meta::id_t< std::size_t > from, meta::id_t< To > to)
constexpr | iota_view (std::size_t from)

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Val >

iota_view<Val, Val> ranges::views::indices_fn::operator() | ( | Val | from,
|  | Val | to
| ) |  | const

Precondition
  requires `integral<Val>`

## ◆ operator()() [2/2]

template<typename Val >

iota_view<Val, Val> ranges::views::indices_fn::operator() | ( | Val | to | ) | const

Precondition
  requires `integral<Val>`